############################################################
#
# type definition pro_declaration_component_ntpd
#
# RESPONSIBLE: Thorsten Kleinwort <Thorsten.Kleinwort@cern.ch>
#
# VERSION : 1.0.9
#
############################################################

declaration template pro_declaration_component_ntpd;

include pro_declaration_types;
include pro_declaration_structures;

define type ntpd_clientnet_type = {
	"net"  : type_ip description  "Network of this machines NTP clients"
	"mask" : type_ip description  "Netmask of this machines NTP clients"
};

define type component_ntpd_type = {
    include structure_component
    "servers" ? type_hostname[]
    "clientnetworks" ? ntpd_clientnet_type[] description "Optional list of client networks"
};

type "/software/components/ntpd" = component_ntpd_type;
